kthuang

PIACE with PISDK in DOTNET Framework 4

Discussion created by kthuang on Feb 12, 2014
Latest reply on Feb 13, 2014 by kthuang

I got the following message when building PIACE with PISDK with target framework 4.0.

 

This message will not show up with target framework 3.5.

 

But a newly updated DLL used in the reference requires framework 4.0.

 

Because the above change PIACE debug indicated "Load Assembling Failed".

 

Please advise.

 

KT

 

"A reference was created to embedded interop assembly 'OSIsoft.PISDK' because of an indirect reference to that assembly from assembly 'OSISoft.PIACENet'. Consider changing the 'Embed Interop Types' property on either assembly. "

Outcomes